Package com.avaya.clientservices.media

## Interface AudioRecordPlayStatusListener

-     public interface AudioRecordPlayStatusListener

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `onInitPlayback()` | This function notifies the listener when the playback is initialized allowing the listener to perform any extra initialization needed.
    `void` | `onInitRecording()` | This function notifies the listener when the recording is initialized allowing the listener to perform any extra initialization needed.
    `void` | `onStartPlayback()` | This function notifies the listener when the playback starts.
    `void` | `onStartRecording​(int audioSessionId)` | This function notifies the listener when the recording starts.
    `void` | `onStopPlayback()` | This function notifies the listener when the playback stops.
    `void` | `onStopRecording​(int audioSessionId)` | This function notifies the listener when the recording stops.

- - ### Method Detail

    - #### onInitRecording

          void onInitRecording()

      This function notifies the listener when the recording is initialized allowing the listener to perform any extra initialization needed.

    - #### onStartRecording

          void onStartRecording​(int audioSessionId)

      This function notifies the listener when the recording starts.
      Parameters:
        `audioSessionId` - is the audioSessionId of the AudioRecord used for voice recording. If the device has an API level < 16 then this value will be -1

    - #### onStopRecording

          void onStopRecording​(int audioSessionId)

      This function notifies the listener when the recording stops.
      Parameters:
        `audioSessionId` - is the audioSessionId of the AudioRecord used for voice recording. If the device has an API level < 16 then this value will be -1

    - #### onInitPlayback

          void onInitPlayback()

      This function notifies the listener when the playback is initialized allowing the listener to perform any extra initialization needed.

    - #### onStartPlayback

          void onStartPlayback()

      This function notifies the listener when the playback starts.

    - #### onStopPlayback

          void onStopPlayback()

      This function notifies the listener when the playback stops.